Package com.sun.java.help.impl

# Class JHelpPrintHandler.JHPageable

java.lang.Object
com.sun.java.help.impl.JHelpPrintHandler.JHPageable

All Implemented Interfaces:
  `Pageable`

Enclosing class:
  `JHelpPrintHandler`

public class JHelpPrintHandler.JHPageable extends Object implements Pageable

## Field Summary

### Fields inherited from interface java.awt.print.Pageable

`UNKNOWN_NUMBER_OF_PAGES`

## Constructor Summary

Constructors
Constructor
Description
`JHPageable(JEditorPane editor, URL[] urls, PageFormat pf)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumberOfPages()`
Returns the number of pages in the set.
`PageFormat`
`getPageFormat(int pageIndex)`
Returns the `PageFormat` of the page specified by `pageIndex`.
`Printable`
`getPrintable(int pageIndex)`
Returns the `Printable` instance responsible for rendering the page specified by `pageIndex`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JHPageable

public JHPageable(JEditorPane editor, URL[] urls, PageFormat pf)

## Method Details

### getPageFormat

public PageFormat getPageFormat(int pageIndex) throws IndexOutOfBoundsException
Returns the `PageFormat` of the page specified by `pageIndex`.

Specified by:
  `getPageFormat` in interface `Pageable`
Parameters:
  `pageIndex` - the zero based index of the page whose `PageFormat` is being requested
Returns:
  the `PageFormat` describing the size and orientation.
Throws:
  `IndexOutOfBoundsException`

### getNumberOfPages

public int getNumberOfPages()
Returns the number of pages in the set. To enable advanced printing features, it is recommended that `Pageable` implementations return the true number of pages rather than the UNKNOWN_NUMBER_OF_PAGES constant.

Specified by:
  `getNumberOfPages` in interface `Pageable`
Returns:
  the number of pages in this `Pageable`.

### getPrintable

public Printable getPrintable(int pageIndex) throws IndexOutOfBoundsException
Returns the `Printable` instance responsible for rendering the page specified by `pageIndex`.

Specified by:
  `getPrintable` in interface `Pageable`
Parameters:
  `pageIndex` - the zero based index of the page whose `Printable` is being requested
Returns:
  the `Printable` that renders the page.
Throws:
  `IndexOutOfBoundsException`